"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MyViewManager = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
const MyViewManagerView = (0, _reactNative.requireNativeComponent)('MyViewManager'); // Temporarily use 'any' for props type

const MyViewManager = props => {
  const {
    onViewCreated
  } = props;
  const viewRef = (0, _react.useRef)(null); // Temporarily use 'any' for ref type

  _react.default.useEffect(() => {
    if (onViewCreated) {
      const viewId = (0, _reactNative.findNodeHandle)(viewRef.current);
      onViewCreated(viewId);
    }
  }, [onViewCreated]);
  return /*#__PURE__*/_react.default.createElement(MyViewManagerView, _extends({}, props, {
    ref: viewRef
  })); // Spread props to pass style and other props correctly
};
exports.MyViewManager = MyViewManager;
//# sourceMappingURL=MyViewManager.js.map