function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
import React, { useRef } from 'react';
import { requireNativeComponent, findNodeHandle } from 'react-native';
const MyViewManagerView = requireNativeComponent('MyViewManager'); // Use 'any' temporarily or adjust to the correct props type

const MyViewManager = props => {
  const {
    onViewCreated
  } = props;
  const viewRef = useRef(null); // Use 'any' for ref temporarily or adjust to the correct type

  React.useEffect(() => {
    if (onViewCreated) {
      const viewId = findNodeHandle(viewRef.current);
      if (viewId) {
        onViewCreated(viewId);
      }
    }
  }, [onViewCreated]);
  return /*#__PURE__*/React.createElement(MyViewManagerView, _extends({}, props, {
    ref: viewRef
  })); // Spread props to pass style and other props correctly
};
export default MyViewManager;
//# sourceMappingURL=MyView.js.map